## python-libnacl 1.8.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Python-NaCl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Python-NaCl.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Python-NaCl"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Python-NaCl"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-libnacl 1.4.5

=== debian/changelog ===
python-libnacl (1.4.5-0ubuntu1~ubuntu14.04.1) trusty; urgency=medium

  * Backport to Trusty as dependency of coming UA tools update (LP: #1817665)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 25 Feb 2019 17:01:35 +0100

python-libnacl (1.4.5-0ubuntu1) xenial; urgency=medium

  * Backport to xenial (LP: #1586770).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 29 May 2016 16:34:06 +0100

python-libnacl (1.4.5-1) unstable; urgency=medium

  * Initial release (closes: #781984).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 May 2016 15:50:00 +0100

=== debian/control ===
Source: python-libnacl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               libsodium-dev (>= 0.5.0),
               pkg-config,
               python (>= 2.6.6-3~),
               python-all,
               python-nose,
               python-setuptools,
               python3 (>= 3.1.2-8~),
               python3-all,
               python3-nose,
               python3-setuptools,
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-libnacl.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-libnacl.git
Homepage: http://libnacl.readthedocs.io/

Package: python-libnacl
Architecture: all
Multi-Arch: foreign
Depends: ${libsodium:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: Python 2 bindings for libsodium based on ctypes
 This library is used to gain direct access to the functions exposed by
 Daniel J. Bernstein's nacl library via libsodium.  It has been constructed
 to maintain extensive documentation on how to use nacl as well as being
 completely portable.
 .
 This library is unrelated to Native Client (NaCl), the sandbox used in
 Chromium.

Package: python3-libnacl
Architecture: all
Multi-Arch: foreign
Depends: ${libsodium:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Python 3 bindings for libsodium based on ctypes
 This library is used to gain direct access to the functions exposed by
 Daniel J. Bernstein's nacl library via libsodium.  It has been constructed
 to maintain extensive documentation on how to use nacl as well as being
 completely portable.
 .
 This library is unrelated to Native Client (NaCl), the sandbox used in
 Chromium.

## python-libnacl 1.5.0

=== debian/changelog ===
python-libnacl (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 Sep 2016 11:05:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-libnacl
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                libsodium-dev (>= 0.5.0),

## python-libnacl 1.5.2

=== debian/changelog ===
python-libnacl (1.5.2-3) unstable; urgency=medium

  * Restore crypto_aead_aes256gcm_*BYTES on old CPUs.

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Aug 2017 10:05:26 +0100

python-libnacl (1.5.2-2) unstable; urgency=medium

  * Check whether AEAD functions are available (closes: #869241).
  * Policy version 4.0.0.

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Aug 2017 10:40:21 +0100

python-libnacl (1.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Jul 2017 19:35:32 +0100

python-libnacl (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 20 Jun 2017 11:08:46 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-all,
                python3-nose,
                python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.4
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-libnacl.git

## python-libnacl 1.6.1

=== debian/changelog ===
python-libnacl (1.6.1-3) unstable; urgency=medium

  * Move VCS to salsa.debian.org.
  * Switch Maintainer to the Debian Python Modules Team.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 02:38:53 +0000

python-libnacl (1.6.1-2) unstable; urgency=medium

  * Rebuild against libsodium23 (closes: #885934).

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Dec 2017 15:30:10 +0000

python-libnacl (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Set Rules-Requires-Root: no.
  * Policy version 4.1.1.

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Nov 2017 16:41:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-libnacl
 Section: python
 Priority: optional
-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
-               libsodium-dev (>= 0.5.0),
+               libsodium-dev (>= 1.0.15),
                pkg-config,
                python (>= 2.6.6-3~),
                python-all,
@@ -14,12 +15,13 @@
                python3-all,
                python3-nose,
                python3-setuptools,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.4
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-libnacl.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-libnacl.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-libnacl
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-libnacl
 Homepage: http://libnacl.readthedocs.io/
+Rules-Requires-Root: no
 
 Package: python-libnacl
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := libnacl
export PYBUILD_TEST_NOSE := 1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_gencontrol:
	dh_gencontrol -- -Vlibsodium:Depends="$(shell debian/get-libsodium-depends)"

## python-libnacl 1.7.1

=== debian/changelog ===
python-libnacl (1.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix unreliability in verify tests (closes: #922259).

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Jan 2020 00:00:35 +0000

python-libnacl (1.6.1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937888

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Dec 2019 17:46:47 -0500

python-libnacl (1.6.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Colin Watson ]
  * Update Homepage field to use HTTPS.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Mar 2019 12:54:35 +0000

=== debian/control ===
Source: python-libnacl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               libsodium-dev (>= 1.0.15),
               pkg-config,
               python3 (>= 3.1.2-8~),
               python3-all,
               python3-nose,
               python3-setuptools,
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/python-team/modules/python-libnacl.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-libnacl
Homepage: https://libnacl.readthedocs.io/
Rules-Requires-Root: no

Package: python3-libnacl
Architecture: all
Multi-Arch: foreign
Depends: ${libsodium:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Python 3 bindings for libsodium based on ctypes
 This library is used to gain direct access to the functions exposed by
 Daniel J. Bernstein's nacl library via libsodium.  It has been constructed
 to maintain extensive documentation on how to use nacl as well as being
 completely portable.
 .
 This library is unrelated to Native Client (NaCl), the sandbox used in
 Chromium.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := libnacl
export PYBUILD_TEST_NOSE := 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_gencontrol:
	dh_gencontrol -- -Vlibsodium:Depends="$(shell debian/get-libsodium-depends)"

## python-libnacl 1.7.2

=== debian/changelog ===
python-libnacl (1.7.2-3) unstable; urgency=medium

  * Team upload.
  * Patch: Fix crypto_kdf_derive_from_key() on 32-bit platforms.
    (Closes: #988102)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 21 May 2021 16:35:48 -0400

python-libnacl (1.7.2-2) unstable; urgency=medium

  * Add Breaks: python3-duniterpy (<< 0.60.1) (see #974655).

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Nov 2020 12:40:57 +0000

python-libnacl (1.7.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Colin Watson ]
  * New upstream release.
    - Remove encoding parameter json.loads for Python 3.9 compatibility
      (closes: #973199).

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Nov 2020 16:48:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-libnacl
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 9),
                dh-python,
@@ -12,8 +12,8 @@
                python3-nose,
                python3-setuptools,
 Standards-Version: 4.1.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-libnacl.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-libnacl
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-libnacl.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-libnacl
 Homepage: https://libnacl.readthedocs.io/
 Rules-Requires-Root: no
 
@@ -23,6 +23,7 @@
 Depends: ${libsodium:Depends},
          ${misc:Depends},
          ${python3:Depends}
+Breaks: python3-duniterpy (<< 0.60.1)
 Description: Python 3 bindings for libsodium based on ctypes
  This library is used to gain direct access to the functions exposed by
  Daniel J. Bernstein's nacl library via libsodium.  It has been constructed

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/libnacl/libnacl-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-libnacl 1.8.0

=== debian/changelog ===
python-libnacl (1.8.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libsodium-dev and python3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:07:49 +0000

python-libnacl (1.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.

  [ Colin Watson ]
  * Switch from nose to pytest.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Aug 2022 11:56:19 +0100

python-libnacl (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Aug 2021 00:07:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               libsodium-dev (>= 1.0.15),
+               libsodium-dev,
                pkg-config,
-               python3 (>= 3.1.2-8~),
+               python3,
                python3-all,
-               python3-nose,
+               python3-pytest,
                python3-setuptools,
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-libnacl.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME := libnacl
-export PYBUILD_TEST_NOSE := 1
+export PYBUILD_TEST_PYTEST := 1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-libnacl 2.1.0

=== debian/changelog ===
python-libnacl (2.1.0-2) unstable; urgency=medium

  * Build-depend on pkgconf rather than pkg-config.
  * Build-depend on python3-poetry-core rather than python3-poetry.
  * Enable autopkgtest-pkg-pybuild.
  * Apply X-Style: black.
  * Standards-Version: 4.7.0 (no changes required).
  * Build-depend on dh-sequence-python3.

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Jul 2024 10:55:13 +0100

python-libnacl (2.1.0-1) unstable; urgency=medium

  * Update watch file format version to 4.
  * New upstream release.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Aug 2023 16:34:18 +0100

=== debian/control ===
Source: python-libnacl
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libsodium-dev,
 pkgconf,
 pybuild-plugin-pyproject,
 python3,
 python3-all,
 python3-poetry-core,
 python3-pytest,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-libnacl.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-libnacl
Homepage: https://libnacl.readthedocs.io/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
X-Style: black

Package: python3-libnacl
Architecture: all
Multi-Arch: foreign
Depends:
 ${libsodium:Depends},
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-duniterpy (<< 0.60.1),
Description: Python 3 bindings for libsodium based on ctypes
 This library is used to gain direct access to the functions exposed by
 Daniel J. Bernstein's nacl library via libsodium.  It has been constructed
 to maintain extensive documentation on how to use nacl as well as being
 completely portable.
 .
 This library is unrelated to Native Client (NaCl), the sandbox used in
 Chromium.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := libnacl
export PYBUILD_TEST_PYTEST := 1

%:
	dh $@ --buildsystem=pybuild

override_dh_gencontrol:
	dh_gencontrol -- -Vlibsodium:Depends="$(shell debian/get-libsodium-depends)"
